LR_RAWMAIL2MAIL.IN(1)

NAME
lr_rawmail2mail - deanonymizes and formats a report from an email message

SYNOPSIS
lr_rawmail2mail [options] dumpstem addresses...

lr_rawmail2mail -h

lr_rawmail2mail -v

OPTIONS

-h  Prints usage information and exits.

-i  Generate charts for all reports that support it. Normally, charts will be generated only if the variable LR_INCLUDEIMAGES is set to 1.

-o output format
    One of pdf, html, html_page, xhtml, xhtml_page, txt, docbookx, rtf and xml. Per default, simple txt output is generated.

-v  Prints Lire's version and exits.

DESCRIPTION
lr_rawmail2mail can be used to automatically process reply from an Online Responder which contains a XML report. It will extract the report (which should have a content type of text/xml) and deanonymized it. It will then use the lr_xml2mail(1) command to formats and send the report to the recipients specified on the command line.

The dumpstem argument is used by lr_deanonymize(1) to find the database that was used in the anonymization process.

Environment variable TMPDIR, as set in sysconfdir/defaults, is used to store tmpfiles; if LR_KEEP is set to a nonempty string, temporary files are kept.

VERSION
$Id: lr_rawmail2mail.in,v 1.25 2006/07/23 13:16:33 vanbaal Exp $

COPYRIGHT
Copyright (C) 2000, 2001, 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html.

AUTHOR
Joost van Baal <joostvb@logreport.org>